import * as tslib_1 from "tslib";
import { IgrStraightNumericAxisBase } from "./igr-straight-numeric-axis-base";
import { NumericXAxis } from "./NumericXAxis";
/**
 * Represents a IgxDataChartComponent numeric X axis.
*/
var IgrNumericXAxis = /** @class */ (function (_super) {
    tslib_1.__extends(IgrNumericXAxis, _super);
    function IgrNumericXAxis(props) {
        return _super.call(this, props) || this;
    }
    IgrNumericXAxis.prototype.createImplementation = function () {
        return new NumericXAxis();
    };
    Object.defineProperty(IgrNumericXAxis.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    IgrNumericXAxis.prototype.scrollRangeIntoView = function (minimum, maximum) {
        this.i.lo(minimum, maximum);
    };
    return IgrNumericXAxis;
}(IgrStraightNumericAxisBase));
export { IgrNumericXAxis };
